Last Comment Bug 100412 - Internet Keywords should be off in Mozilla by default
: Internet Keywords should be off in Mozilla by default
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla0.9.5
Assigned To: Gervase Markham [:gerv]
: benc
:
Mentors:
Depends on:
Blocks: 101793
  Show dependency treegraph
 
Reported: 2001-09-18 15:56 PDT by benc
Modified: 2004-03-01 09:02 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v.1 (1.36 KB, patch)
2001-10-01 13:28 PDT, Gervase Markham [:gerv]
no flags Details | Diff | Splinter Review
Patch v.2 - changed URL (1.36 KB, patch)
2001-10-01 13:45 PDT, Gervase Markham [:gerv]
doronr: review+
shaver: superreview+
Details | Diff | Splinter Review

Description benc 2001-09-18 15:56:04 PDT
This is NOT a dupe of bug 76547. That is a discussion about moving of "Internet
Kewords" from the Netscape commercial build.

I think this should be off for several reason:

1- The text says "Mozilla Internet Keywords" in the prefs, but there is no such
thing. If you hit the info button it goes to "http://www.mozilla.org".

2- This is a commercial feature, that is branded.

3- Mozilla has lots of DNS and name resolution problems that are currently 
hidden by this feature. For example, bug 95707 really shows how out of date our
resolution architecture is... mozilla can't even find... "mozilla".

This bug is also relate to the variety of bugs I have filed asking for that
would improve the robustness and (for lack of a better word...) modernity of our
ability to take stuff users type click on and convert it to the sensible target.

Bug 88217 especially, but also issues about handling incomplete URLs that don't
have an fqdn.
Comment 1 Asa Dotzler [:asa] 2001-09-20 11:29:17 PDT
Mozilla builds are for testing and development purposes. This feature confuses
connectivity testing. It should be disabled by default in our testing builds. It
would also be useful, for those interested in testing this specific feature, if
the button actually pointed to a document explaining what this feature does and
how it can be configured. With these two changed I think we can make testing a
lot more clear. 
Comment 2 benc 2001-09-21 08:30:22 PDT
When you turn off keywords, you see the change in prefs.js.

user_pref("keyword.enabled", false);

In all.js, you see:

pref("keyword.URL", "http://keyword.netscape.com/keyword/");
pref("keyword.enabled", true);

in Netscape 6.1, ns-all.js already has:

pref("keyword.enabled", true);

I can't find a pref of the "More Info" button's URL, so that is probably in the
panel.

I'm hacking my prefs now to log how the queries are sent.
Comment 3 benc 2001-09-21 08:46:15 PDT
I modified my server to accept requests and forward them to the normal URL.

The keyword queries are simply the URL encoded string:

"quote aol" -> "quote%20aol" after the keyword URL.
Comment 4 Gervase Markham [:gerv] 2001-09-30 17:47:05 PDT
OK, can someone please tell me what the URL for "more information" is in
Netscape builds (to give me something to work from for a Mozillified version)?

I'll then change the URL for that button, and change the pref in all.js to
false. I assume that's all this bug is about, right? :-) Some NS person should
probably turn it back on in ns-prefs.js.

Gerv
Comment 5 benc 2001-10-01 08:03:27 PDT
I'd finish the mozilla version of the document tonight, and include the netscape
URL for the "more info" button in my write-up.
Comment 6 Gervase Markham [:gerv] 2001-10-01 13:27:53 PDT
OK. I have a patch to turn this off by default, and point to the explanatory
document, which I've checked in as:
http://www.mozilla.org/projects/seamonkey/internet-keywords.html

The keyword.enabled and keyword.URL prefs are already in all-ns.js, and so it
seems we don't actually need any coordination with Netscape.

Review requested :-)

Gerv
Comment 7 Gervase Markham [:gerv] 2001-10-01 13:28:34 PDT
Created attachment 51563 [details] [diff] [review]
Patch v.1
Comment 8 Gervase Markham [:gerv] 2001-10-01 13:45:42 PDT
Created attachment 51569 [details] [diff] [review]
Patch v.2 - changed URL
Comment 9 Doron Rosenberg (IBM) 2001-10-01 14:23:57 PDT
Comment on attachment 51569 [details] [diff] [review]
Patch v.2 - changed URL

r=doron
Comment 10 Mike Shaver (:shaver -- probably not reading bugmail closely) 2001-10-01 15:03:20 PDT
Comment on attachment 51569 [details] [diff] [review]
Patch v.2 - changed URL

sr=shaver
Comment 11 Mike Shaver (:shaver -- probably not reading bugmail closely) 2001-10-01 15:03:23 PDT
Comment on attachment 51569 [details] [diff] [review]
Patch v.2 - changed URL

sr=shaver
Comment 12 Gervase Markham [:gerv] 2001-10-01 17:05:38 PDT
Checked in.

Gerv
Comment 13 benc 2002-10-09 11:00:06 PDT
VERIFIED: 
I've been testing this default in mozilla 1.0 and later.
Comment 14 benc 2004-03-01 09:02:29 PST
There are a few scattered reports of people who want a default behavior in
mozilla, where this is on by default. I've duped those bugs into Bug 197918 to
track the feedback.

Note You need to log in before you can comment on or make changes to this bug.